# $Revision: 1.49 $, $Date: 2009/12/11 07:20:04 $
Summary:	X.org input driver for Linux generic event devices
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla ogólnych urządzeń linuksowych generujących zdarzenia
Name:		xorg-driver-input-evdev
Version:	2.3.2
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-evdev-%{version}.tar.bz2
# Source0-md5:	b2bfe368022eedf2671ee28daba31efc
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.5.3
%requires_xorg_xserver_xinput
Requires:	hal
Requires:	xorg-xserver-server >= 1.5.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Linux generic event devices. It supports all
input devices that the kernel knows about, including most mice and
keyboards.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla ogólnych urządzeń linuksowych
generujących zdarzenia. Obsługuje wszystkie urządzenia wejściowe znane
przez jądro, w tym większość myszy i klawiatur.

%package devel
Summary:	Header file for evdev driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika evdev
Group:		Development/Libraries

%description devel
Header file for evdev driver.

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika evdev.

%prep
%setup -q -n xf86-input-evdev-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/input/evdev_drv.so
%{_mandir}/man4/evdev.4*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg/evdev-properties.h
%{_pkgconfigdir}/xorg-evdev.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-input-evdev.spec,v $
Revision 1.49  2009/12/11 07:20:04  arekm
- up to 2.3.2

Revision 1.48  2009/11/20 07:50:25  arekm
- up to 2.3.1

Revision 1.47  2009/10/19 06:59:18  arekm
- up to 2.3.0

Revision 1.46  2009/10/02 08:26:50  arekm
- release 2

Revision 1.45  2009/09/04 09:35:03  arekm
- up to 2.2.99.1

Revision 1.44  2009/08/21 05:23:51  arekm
- up to 2.2.5

Revision 1.43  2009/08/06 07:12:30  arekm
- up to 2.2.4

Revision 1.42  2009/07/30 08:47:43  arekm
- up to 2.2.3

Revision 1.41  2009/06/05 15:12:41  glen
- evdev requires hal to find devices; rel 2

Revision 1.40  2009/04/30 08:56:34  arekm
- up to 2.2.2

Revision 1.39  2009/03/24 07:18:15  arekm
- up to 2.2.1

Revision 1.38  2009/03/09 00:13:29  adamg
- updated to 2.2.0

Revision 1.37  2009/02/25 21:11:47  arekm
- release 2

Revision 1.36  2009/02/17 08:00:14  arekm
- up to 2.1.3

Revision 1.35  2009/02/02 06:18:34  arekm
- up to 2.1.2

Revision 1.34  2009/01/13 07:16:35  arekm
- up to 2.1.1

Revision 1.33  2008/11/19 07:58:56  patrys
- require xserver 1.5.3 or newer due to EVIOCGRAB
- rel++

Revision 1.32  2008/11/19 06:24:04  arekm
- up to 2.1.0

Revision 1.31  2008/11/15 07:15:43  qboosh
- pl for -devel, removed lie

Revision 1.30  2008/11/14 19:18:38  arekm
- up to 2.0.99.3

Revision 1.29  2008/10/17 06:20:48  arekm
- up to 2.0.7

Revision 1.28  2008/10/02 06:23:23  arekm
- up to 2.0.6

Revision 1.27  2008/09/27 20:46:46  arekm
- up to 2.0.5

Revision 1.26  2008/08/15 08:28:32  arekm
- up to 2.0.4

Revision 1.25  2008/08/01 08:27:37  arekm
- up to 2.0.3

Revision 1.24  2008/07/14 05:10:14  arekm
- up to 2.0.2

Revision 1.23  2008/07/09 17:58:58  qboosh
- updated to 2.0.1

Revision 1.22  2008/07/01 16:04:13  arekm
- release 2

Revision 1.21  2008/06/17 06:15:37  arekm
- up to 2.0.0

Revision 1.20  2008-06-11 08:58:02  arekm
- up to 1.99.4

Revision 1.19  2008-06-10 22:32:14  qboosh
- updated to 1.99.3

Revision 1.18  2008-05-21 19:34:14  arekm
- up to 1.99.2

Revision 1.17  2007-11-15 00:30:13  arekm
- up to 1.2.0

Revision 1.16  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.15  2007/09/06 16:16:38  arekm
- track xserver input deps

Revision 1.14  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.12  2006/12/16 15:27:08  arekm
- lower xserver requirement since we target XORG 7_2.

Revision 1.11  2006/12/16 15:25:32  arekm
- up to 1.1.5

Revision 1.10  2006/11/05 15:30:10  arekm
- rel 0.2

Revision 1.9  2006/11/02 12:48:09  qboosh
- updated to 1.1.4 (in driver dir again)

Revision 1.8  2006/10/14 18:11:05  qboosh
- updated to 1.1.3 (available in strange place)

Revision 1.7  2006/05/08 16:38:14  arekm
- up to 1.1.2

Revision 1.6  2006/04/15 18:20:34  arekm
- up to 1.1.1

Revision 1.5  2006/04/10 12:42:31  qboosh
- updated to 1.1.0

Revision 1.4  2006/01/05 12:07:24  qboosh
- 1.0.0.5 (X11R7.0 release)

Revision 1.3  2005/12/06 15:05:54  qboosh
- 1.0.0.3 (X11R7.0-RC3)

Revision 1.2  2005/11/20 11:59:41  qboosh
- 1.0.0.2 (X11R7.0-RC2)

Revision 1.1  2005/10/28 20:53:13  qboosh
- new
